//---------------------------------------------------------------------------

#ifndef UwMonitorH
#define UwMonitorH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <ExtCtrls.hpp>
#include <Buttons.hpp>
#include <Dialogs.hpp>

#include "UMonitorThread.h"
#include <Trayicon.h>

//---------------------------------------------------------------------------
class TwMonitor : public TForm{
__published:	
   TPanel *Panel1;
   TComboBox *cbLevel;
   TLabel *Label1;
   TSpeedButton *btnStayOnTop;
   TSpeedButton *btnSave;
   TSaveDialog *dlgSave;
   TSpeedButton *btnClear;
   TRichEdit *cMessage;
   TTrayIcon *cTrayIcon;
   TSpeedButton *btnAbout;
   TSpeedButton *btnHelp;
   void __fastcall btnSaveClick(TObject *Sender);
   void __fastcall btnClearClick(TObject *Sender);
   void __fastcall btnStayOnTopClick(TObject *Sender);
   void __fastcall onMessage(TThread* Sender, TMonintorMessageType Type,
                             String Message,  int ErrCode);
   void __fastcall btnAboutClick(TObject *Sender);
   void __fastcall btnHelpClick(TObject *Sender);
private:
   TMonitorThread *monitorThread;                 
   String FRootKey;
public:		// Anwender-Deklarationen
   __fastcall TwMonitor(TComponent* Owner);
   __fastcall ~TwMonitor();
};//----------------------------------------------------------------------------

extern PACKAGE TwMonitor *wMonitor;
//---------------------------------------------------------------------------
#endif
